# Uses of Interface
org.opensaml.saml.saml1.core.RespondWith

Packages that use RespondWith
Package
Description
org.opensaml.saml.saml1.core
Interfaces for SAML 1.0 and 1.1 types and elements.
org.opensaml.saml.saml1.core.impl
Implementations of SAML 1.x core specification types and elements.

## Uses of RespondWith in org.opensaml.saml.saml1.core

Methods in org.opensaml.saml.saml1.core that return types with arguments of type RespondWith
Modifier and Type
Method
Description
`List<RespondWith>`
RequestAbstractType.`getRespondWiths()`
Return the list of RespondWith elements.

## Uses of RespondWith in org.opensaml.saml.saml1.core.impl

Classes in org.opensaml.saml.saml1.core.impl that implement RespondWith
Modifier and Type
Class
Description
`class`
`RespondWithImpl`
Implementation of `RespondWith`.
Fields in org.opensaml.saml.saml1.core.impl with type parameters of type RespondWith
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<RespondWith>`
RequestAbstractTypeImpl.`respondWiths`
Contains the respondWiths.
Methods in org.opensaml.saml.saml1.core.impl that return RespondWith
Modifier and Type
Method
Description
`RespondWith`
RespondWithBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`RespondWith`
RespondWithBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml1.core.impl that return types with arguments of type RespondWith
Modifier and Type
Method
Description
`List<RespondWith>`
RequestAbstractTypeImpl.`getRespondWiths()`
Return the list of RespondWith elements.